Bug 7669 - rpm-3.0.4-0.6.i386.rpm Hangs on some rpm files
rpm-3.0.4-0.6.i386.rpm Hangs on some rpm files
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-07 17:02 EST by Jaroslaw Sosnicki
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-13 06:12:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 1999-12-07 17:02:13 EST
I am using rpm-3.0.4-0.6.i386.rpm with
rawhide-release-19991207-1.noarch.rpm and RPM hands (never returns controll
to shall) when instaling on try to upgrade the folowing packages:
##rpm -Uvh XFree86-100dpi-fonts-3.3.5-16.i386.rpm
##rpm -Uvh XFree86-3.3.5-16.i386.rpm
##rpm -Uvh XFree86-75dpi-fonts-3.3.5-16.i386.rpm
##rpm -Uvh XFree86-ISO8859-2-100dpi-fonts-1.0-9.noarch.rpm
##rpm -Uvh XFree86-ISO8859-2-75dpi-fonts-1.0-9.noarch.rpm
##rpm -Uvh XFree86-ISO8859-2-Type1-fonts-1.0-9.noarch.rpm
##rpm -Uvh XFree86-ISO8859-9-100dpi-fonts-2.1.2-10.noarch.rpm
##rpm -Uvh XFree86-ISO8859-9-75dpi-fonts-2.1.2-10.noarch.rpm
##rpm -Uvh XFree86-devel-3.3.5-16.i386.rpm
##rpm -Uvh Xaw3d-devel-1.3-21.i386.rpm
##rpm -Uvh compat-glibc-5.2-2.0.7.2.i386.rpm
##rpm -Uvh desktop-backgrounds-1.0.0-6.noarch.rpm
##rpm -Uvh emacs-el-20.4-4.i386.rpm
##rpm -Uvh exmh-2.1.1-2.noarch.rpm
##rpm -Uvh fvwm2-icons-2.2.2-3.i386.rpm
##rpm -Uvh gimp-1.0.4-5.i386.rpm
##rpm -Uvh glibc-2.1.2-17.i386.rpm
##rpm -Uvh glxMesa-19991206-1.i386.rpm
##glxMesa
##################################################
##unpacking of archive failed: cpio: Bad magic
##rpm -Uvh gnome-core-1.0.54-2.i386.rpm
##rpm -Uvh gnome-games-1.0.51-3.i386.rpm
##rpm -Uvh gnome-objc-devel-1.0.2-5.i386.rpm
##rpm -Uvh gnome-users-guide-1.0.7-1.noarch.rpm
##rpm -Uvh gnumeric-0.35-4.i386.rpm
##rpm -Uvh howto-6.1-1.noarch.rpm
##rpm -Uvh howto-croatian-6.1-1.noarch.rpm
##rpm -Uvh howto-french-6.1-1.noarch.rpm
##rpm -Uvh howto-german-6.1-1.noarch.rpm
##rpm -Uvh howto-greek-6.1-1.noarch.rpm
##rpm -Uvh howto-indonesian-6.1-1.noarch.rpm
##rpm -Uvh howto-italian-6.1-1.noarch.rpm
##rpm -Uvh howto-japanese-6.1-1.noarch.rpm
##rpm -Uvh howto-korean-6.1-1.noarch.rpm
##rpm -Uvh howto-polish-6.1-1.noarch.rpm
##rpm -Uvh howto-russian-6.1-1.noarch.rpm
##rpm -Uvh howto-serbian-6.1-1.noarch.rpm
##rpm -Uvh howto-sgml-6.1-1.noarch.rpm
##rpm -Uvh howto-slovenian-6.1-1.noarch.rpm
##rpm -Uvh howto-spanish-6.1-1.noarch.rpm
##rpm -Uvh howto-swedish-6.1-1.noarch.rpm
##rpm -Uvh inn-2.2.1-1.i386.rpm
##rpm -Uvh ispell-dicts-3.1.20-23.i386.rpm
##rpm -Uvh jed-common-0.98.7-2.i386.rpm
##rpm -Uvh kdelibs-1.1.2-9.i386.rpm
##rpm -Uvh kernel-2.2.13-0.5.i686.rpm
##rpm -Uvh kernel-smp-2.2.13-0.5.i686.rpm
##rpm -Uvh kpackage-1.3.10-1.i386.rpm
##rpm -Uvh libtiff-devel-3.4-6.i386.rpm
##rpm -Uvh lpg-0.4-4.noarch.rpm
##rpm -Uvh mod_perl-1.21-2.i386.rpm
##rpm -Uvh ncurses-devel-5.0-2.i386.rpm
##rpm -Uvh openldap-devel-1.2.7-2.i386.rpm
##rpm -Uvh tetex-fonts-1.0.6-7.i386.rpm
##rpm -Uvh w3c-libwww-devel-5.2.8-4.i386.rpm
##rpm -Uvh xboing-2.4-8.i386.rpm
##rpm -Uvh xfig-3.2.2-7.i386.rpm
##rpm -Uvh xscreensaver-3.21-2.i386.rpm
##rpm -Uvh xscreensaver-gl-3.21-2.i386.rpm
##error: failed dependencies:
##        libGLU.so.3 is needed by xscreensaver-gl-3.21-2

I wonder twhat is the common thing between all listed files that cause this
problem.

Problem showed up in releases ufter Nov 28 1999.

Regards,

Jaroslaw Sosnicki
Comment 1 Jeff Johnson 1999-12-08 07:40:59 EST
Unless you're interested in helping to debug rpm-3.0.4, you should stick
with the production rpm-3.0.3.
Comment 2 Jeff Johnson 1999-12-10 12:10:59 EST
Does this problem still exist with rpm-3.0.4-0.8 or later? I've fixed a
couple of nasty memory corruption problems ...
Comment 3 Jaroslaw Sosnicki 1999-12-12 21:02:59 EST
It looks OK with rpm=3.4.4-0.9.i386.rpm
Comment 4 Jeff Johnson 1999-12-13 06:12:59 EST
Thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.